Loading...
Searching...
No Matches
irr::scene::SVertexPositionScaleAlongNormalsManipulator Class Reference

Vertex manipulator which scales the position of the vertex along the normals. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexPositionScaleAlongNormalsManipulator:

## Public Member Functions

| SVertexPositionScaleAlongNormalsManipulator (const core::vector3df &factor)
template<typename VType>
void | operator() (VType &vertex) const

## Detailed Description

Vertex manipulator which scales the position of the vertex along the normals.

This can look more pleasing than the usual Scale operator, but depends on the mesh geometry.

Definition at line 238 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

## SVertexPositionScaleAlongNormalsManipulator()

irr::scene::SVertexPositionScaleAlongNormalsManipulator::SVertexPositionScaleAlongNormalsManipulator | ( | const core::vector3df & | factor | ) |

inline

Definition at line 241 of file SVertexManipulator.h.

## Member Function Documentation

## operator()()

template<typename VType>

void irr::scene::SVertexPositionScaleAlongNormalsManipulator::operator() | ( | VType & | vertex | ) | const

inline

Definition at line 243 of file SVertexManipulator.h.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0